#!/usr/bin/python3
# This migration tool converts OSQA data to Askbot, optimized for big databases
# Copyright (C) 2016  Pietro Albini <pietroalbini@ubuntu.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

import setuptools


setuptools.setup(
    name = "osqa-migrator",
    version = "1",
    url = "http://code.ubuntu-it.org/ubuntu-it-ask/osqa-migrator",

    license = "GPL-3+",

    author = "Pietro Albini",
    author_email = "pietroalbini@ubuntu.com",

    description = "Migrate an OSQA database to an Askbot instance",

    packages = [
        "osqa_migrator",
    ],

    entry_points = {
        "console_scripts": [
            "osqa-migrator = osqa_migrator.__main__:main"
        ]
    },

    install_requires = [
        "psycopg2",
    ],

    zip_safe = False,

    classifiers = [
        "PyPI :: Ignore",
    ],
)
